<template>
  <div>
    <nav class="navbar navbar-expand navbar-dark bg-dark static-top">
      <button class="btn btn-link btn-sm text-white order-1 order-sm-0" id="sidebarToggle" href="#">
        <i class="fa fa-bars"></i>
      </button>
      <a class="navbar-brand" href="#">
        <img src="./assets/logo.png" width="30" height="30" alt color="white" />
      </a>
    </nav>

    <div id="wrapper">
      <!-- Sidebar -->
      <ul class="sidebar navbar-nav">
        <li class="nav-item">
          <a class="nav-link" href="/cartera">
            <i class="fas fa-chart-pie"></i>
            <span class="pl-1">
              <strong>MI CARTERA</strong>
            </span>
          </a>
        </li>
      </ul>

      <div id="content-wrapper">
        <div class="container">
          <!-- Contenido de componentes -->
          <div id="app" class="app-content content">
            <div class="content-body">
              <cartera />
            </div>
          </div>
        </div>

        <!-- Sticky Footer -->
        <footer class="sticky-footer">
          <div class="container my-auto">
            <div class="copyright text-center my-auto">
              <span>Copyright © FinanciApp 2019</span>
            </div>
          </div>
        </footer>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";
import Entrevista from "./components/Entrevista.vue";
import Cartera from "./components/Cartera.vue";
import "./vendor/app-assets/js/jquery.min.js";
import "./vendor/app-assets/js/sb-admin.min.js";
import 'bootstrap/dist/css/bootstrap.css';
import 'bootstrap-vue/dist/bootstrap-vue.css';
import BootstrapVue from "bootstrap-vue";
Vue.use(BootstrapVue);

@Component({
  components: {
    Cartera
  }
})
export default class App extends Vue {
  private idActivo: string = "";
  private montoActual: string = "";
  private accion: string = "";
  private titulo: string = "";
  private placeholder: string = "";
  private tituloInput: string = "";
}
</script>

<style>
@import "./vendor/app-assets/css/sb-admin.css";

.ancho-en-tabla {
  height: calc(1.8125rem + -5px);
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.fa-clickable {
  cursor: pointer;
}

.cabecera-espaciada,
.row.grafico-espaciado {
  margin-bottom: 25px;
}
</style>
